# gdcm::PixmapToPixmapFilter Class Reference

PixmapToPixmapFilter class Super class for all filter taking an image and producing an output image. More...

`#include <gdcmPixmapToPixmapFilter.h>`

Inheritance diagram for gdcm::PixmapToPixmapFilter:
[legend]
Collaboration diagram for gdcm::PixmapToPixmapFilter:
[legend]

List of all members.

## Public Member Functions
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()
const Pixmap & | GetOutput () const
| Get Output image.
void | SetInput (const Pixmap &image)
| Set input image.
## Protected Attributes
SmartPointer< Pixmap > | Input
SmartPointer< Pixmap > | Output

## Detailed Description

PixmapToPixmapFilter class Super class for all filter taking an image and producing an output image.

## Constructor & Destructor Documentation

gdcm::PixmapToPixmapFilter::PixmapToPixmapFilter | ( |  | ) |

gdcm::PixmapToPixmapFilter::~PixmapToPixmapFilter | ( |  | ) | `[inline]`

## Member Function Documentation

const Pixmap& gdcm::PixmapToPixmapFilter::GetOutput | ( |  | ) | const`[inline]`

Get Output image.

Reimplemented in gdcm::ImageToImageFilter.

void gdcm::PixmapToPixmapFilter::SetInput | ( | const Pixmap & | image | ) |

Set input image.

Examples:
  CompressImage.cxx.

## Member Data Documentation

SmartPointer<Pixmap> gdcm::PixmapToPixmapFilter::Input`[protected]`

SmartPointer<Pixmap> gdcm::PixmapToPixmapFilter::Output`[protected]`

The documentation for this class was generated from the following file:

- gdcmPixmapToPixmapFilter.h